Library Version 12.1.6.2

Db::get_ext_file_threshold()
Prev | Chapter 14. External Files | Next

## Db::get_ext_file_threshold()

    #include <db_cxx.h>

    int
    Db::get_ext_file_threshold(u_int32_t *bytes);

The `Db::get_ext_file_threshold()` method returns the threshold value, in bytes, beyond which data items are stored as external files. This value can be set using Db::set_ext_file_threshold(). A value of `0` indicates that external files are not in use for this database.

The `Db::get_ext_file_threshold()` method always returns `0` to indicate success.

### Parameters

#### bytes

References memory into which is copied the external file threshold value.

### Class

Db

### See Also

External Files and Related Methods

Prev | Up | Next
Db::get_ext_file_dir() | Home | Db::set_ext_file_dir()